import request from '/@/utils/request';
import { baseUrlHost } from '../baseUrlHost';

/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 * 注意在写get请求时，参数是params，而不是data，要标注好
 * 
 * 登录api接口集合
 * @method getAttachmentList 分页查询附件
 * @method getAttachmentDetail 查看单个附件
 * @method downloadFiles 批量文件下载
 */

export function attachmentApi() {
	return {
		getAttachmentList: (params: object) => {
			return request({
				url: baseUrlHost + '/enAttachment',
				method: 'get',
				params,
			});
		},
		getAttachmentDetail: (id: Number) => {
			return request({
				url: baseUrlHost + `/enAttachment/${id}`,
				method: 'get',
			});
		},
		downloadFiles: (ids: String) => {
			return request({
				url: baseUrlHost + `/enAttachment/downloadFiles/${ids}`,
				method: 'get',
				responseType: 'blob',
			})
		}
	};
}
