import request from '/@/utils/request';
import { baseUrlHost } from '../baseUrlHost';

/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 * 注意在写get请求时，参数是params，而不是data，要标注好
 * 登录api接口集合
 * @method signIn 用户登录
 * @method signOut 用户退出登录
 * @method login 登录
 * @method loginOut 登出
 */

export function useLoginApi() {
	return {
		signIn: (data: object) => {
			return request({
				url: '/user/signIn',
				method: 'post',
				data,
			});
		},
		signOut: (data: object) => {
			return request({
				url: '/user/signOut',
				method: 'post',
				data,
			});
		},
		login: (data: object) => {
			return request({
				url: baseUrlHost+'/acUser/login',
				method: 'post',
				data,
			});
		},
		loginOut: () => {
			return request({
				url: baseUrlHost+'/acUser/logout',
				method: 'get',
			});
		}
	};
}
