import request from '/@/utils/request';
import { baseUrlHost } from '../baseUrlHost';

/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 * 注意在写get请求时，参数是params，而不是data，要标注好
 * 
 * 登录api接口集合
 * @method getMessageList 获取留言列表
 * @method getMessageDetail 获取留言详情
 * @method updateMessage 更新留言
 */

export function messageApi() {
	return {
		getMessageList: (params: object) => {
			return request({
				url: baseUrlHost + '/cpMessage',
				method: 'get',
				params,
			});
		},
		getMessageDetail: (id: Number) => {
			return request({
				url: baseUrlHost + `/cpMessage/${id}`,
				method: 'get',
			});
		},
		updateMessage: (data: object) => {
			return request({
				url: baseUrlHost + '/cpMessage',
				method: 'put',
				data,
			})
		},
	};
}
