// src/api/mock/index.ts
import { Random } from 'mockjs';

interface StatisticsData {
  todayVisits: number;
  newUsers: number;
  currentMonthSales: number;
  currentMonthOrders: number;
}

interface YearlySalesData {
  monthlySales: number[];
}

// 模拟统计数据接口
export const getStatisticsData = async (): Promise<StatisticsData> => {
  return new Promise((resolve) => {
    // 模拟 API 延迟
    setTimeout(() => {
      resolve({
        todayVisits: Random.integer(500, 1500),
        newUsers: Random.integer(20, 100),
        currentMonthSales: Random.integer(3000, 15000),
        currentMonthOrders: Random.integer(100, 500),
      });
    }, 1000);
  });
};

// 模拟年度销售数据接口
export const getYearlySalesData = async (): Promise<YearlySalesData> => {
  return new Promise((resolve) => {
    // 模拟 API 延迟
    setTimeout(() => {
      const monthlySales = Array.from({ length: 12 }, () => Random.integer(5000, 20000));
      resolve({ monthlySales });
    }, 1000);
  });
};
