import request from '/@/utils/request';
import { baseUrlHost } from '../baseUrlHost';

/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 * 注意在写get请求时，参数是params，而不是data，要标注好
 * 
 * 登录api接口集合
 * @method getOrderAll 获取所有订单列表
 */

export function orderApi() {
	return {
		getOrderList: (params: object) => {
			return request({
				url: baseUrlHost + '/odOrder',
				method: 'get',
				params
			});
		},
		getOrderDetail: (id: Number) => {
			return request({
				url: baseUrlHost + `/odOrder/${id}`,
				method: 'get',
			});
		},
	};
}
