import request from '/@/utils/request';
import { pixelUrlHost } from '/@/api/baseUrlHost';

/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 * 注意在写get请求时，参数是params，而不是data，要标注好
 * 
 * 登录api接口集合
 * @method getReleaseList 获取作品发布列表
 */

export function sharesApi() {
	return {
		getReleaseList: (params: object) => {
			return request({
				url: pixelUrlHost + '/paCreationRelease',
				method: 'get',
				params,
			});
		},
		saveRelease: (data: object) => {
			return request({
				url: pixelUrlHost + '/paCreationRelease',
				method: 'post',
				data,
			})
		},
		auditRelease: (params: object) => {
			return request({
				url: pixelUrlHost + '/paCreationRelease/reviewImages',
				method: 'get',
				params,
			})
		},
	};
}
